<?php

namespace Api;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class AccBalanceSheetAccount extends Model 
{

    protected $table = 'acc_balance_sheet_account';
    public $timestamps = true;

    use SoftDeletes;

    protected $dates = ['deleted_at'];
    protected $fillable = array('user_id', 'name', 'code', 'balance_sheet_id', 'cash_flow_type_id', 'cash_flow_id', 'division_place_id', 'division_id', 'place_id', 'starting_balance', 'balance_type', 'description', 'balance', 'status');

    public function user()
    {
        return $this->belongsTo('User', 'user_id');
    }

    public function balance_sheet()
    {
        return $this->belongsTo('AccBalanceSheet', 'balance_sheet_id');
    }

    public function cash_flow_type()
    {
        return $this->belongsTo('AccCashFlowType', 'cash_flow_type_id');
    }

    public function cash_flow()
    {
        return $this->belongsTo('AccCashFlow', 'cash_flow_id');
    }

    public function division()
    {
        return $this->belongsTo('AccDivision', 'division_id');
    }

    public function place()
    {
        return $this->belongsTo('AccPlace', 'place_id');
    }

    public function division_place()
    {
        return $this->belongsTo('AccDivisionPlace', 'division_place_id');
    }

}